@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Cairo', sans-serif;
    color: white;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    min-height: 100vh;
    background-color: rgb(43, 43, 43);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url('/public/assets/bg1.jpg');
}

hr {
    color: rgba(255, 255, 255, .2);
}

.dropdown {
    text-align: right;
    display: flex;
    position: fixed;
    right: 0.5%;
    bottom: 1%;
}

#dropdown-image {
    border: 2px solid rgba(255, 255, 255, .2);
    border-radius: 10px;
}

.dropdown-content {
    display: none;
    position: absolute;
    transform: translate(-95%, -95%);
    text-align: left;
    border: 2px solid rgba(255, 255, 255, .2);
    border-radius: 10px;
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 12px 16px;
    z-index: 1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.herotext {
    display: flex;
    justify-content: center;
}

.heroglass {
    border: 2px solid rgba(255, 255, 255, .2);
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    border-radius: 25px;
    padding-bottom: 2%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.heroglass a {
    display: flex;
    justify-content: center;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    margin-top: 4%;
    margin-left: 4%;
    margin-right: 4%;
    margin-bottom: 2%;
    text-decoration: none;
    font-size: 100%;
    cursor: pointer;
    display: flex;
    border-radius: 10px;
    width: 50%;
    border: 2px solid rgba(255, 255, 255, 0.055);
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333332c;
}

/* Change the color of links on hover */
.heroglass a:hover {
    background-color: #424242b0;
    color: white;
}

.herosub {
    font-size: small; 
    color: rgb(182, 179, 179);
}

@media screen and (orientation:landscape) {

    main {
        margin-top: 100px;
        margin-left: 3%;
        margin-right: 3%;
        margin-bottom: 3%;
        text-align: left;
    }

    .frame {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin-top: 24px;
        text-align: center;
        border-radius: 10px;
        gap: 2%;
    }

    .hero {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        height: 70vh;
        width: 900px;
        text-align: center;
        border-radius: 10px;
        padding: 30px 40px;
        gap: 10%;
    }

    .box {
        width: 100%;
    }

    .herotext span {
        font-size: xxx-large;
        text-wrap: nowrap;
    }

    .heroglass {
        width: 60%;
    }

    .heroshot {
        max-width: 100%;
        border-radius: 20px;
    }

    .logo {
        max-width: 100%;
        border-radius: 20px;
    }

    .herosub {
        display: none;
    }

    .center {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }
}

@media screen and (orientation:portrait) {

    main {
        margin-left: 3%;
        margin-right: 3%;
        margin-bottom: 3%;
        text-align: center;
    }

    .frame {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        margin-top: 24px;
        width: 100%;
        text-align: center;
        border-radius: 10px;
        gap: 10px;
    }

    .hero {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        height: 500px;
        width: 100%;
        text-align: center;
        border-radius: 10px;
        padding: 30px 40px;
        gap: 10px;
    }

    .box {
        width: 100%;
    }

    .herotext span {
        text-shadow: rgb(0, 0, 0) 1px 0 3px;
        font-size: xx-large;
        text-wrap: nowrap;
    }

    .heroglass {
        width: 90%;
    }

    .herosub {
        display: "";
    }

    .heroshot {
        max-width: 100%;
        border-radius: 20px;
    }

    .logo {
        max-width: 60%;
        border-radius: 20px;
    }

    .center {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }
}

.glass {
    background: transparent;
    backdrop-filter: blur(10px);
    border: 2px solid rgba(255, 255, 255, .2);
}

.window {
    border: 2px solid rgba(255, 255, 255, .2);
    background: transparent;
    backdrop-filter: blur(10px);
    border-radius: 15px;
    background-color: #3333335e;
}

.box h1 {
    margin-top: 4%;
    margin-left: 4%;
    margin-right: 4%;
}

.box p {
    font-size: x-large;
    margin-left: 4%;
    margin-right: 4%;
    margin-bottom: 4%;
    text-wrap: stable;
}

button {
    background-color: #1a1a1a;
    border: 2px solid rgba(255, 255, 255, .2);
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    /* text-shadow: rgb(0, 0, 0) 1px 0 3px; */
    padding: 10px 30px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    transition-duration: 0.4s;
}

button:hover {
    background-color: #2c2c2c;
}

input[type=text] {
    background-color: #1a1a1a;
    border: 2px solid rgba(255, 255, 255, .2);
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    /* text-shadow: rgb(0, 0, 0) 1px 0 3px; */
    text-align: center;
    text-decoration: none;
    display: inline-block;
    transition-duration: 0.4s;
}

.link {
    fill: white;
}

.hoverlink:hover {
    text-decoration: underline;
}

#topnavinner {
    display: flex;
    justify-content: center;
    white-space: nowrap;
    width: 100%;
    padding-left: 10%;
    padding-right: 10%;
}

/* Add a black background color to the top navigation */
#topnav {
    border: 2px solid rgba(255, 255, 255, .2);
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    overflow: hidden;
    position: fixed;
    top: 0;
    margin-top: 1%;
    border-radius: 20px;
    transition: top 0.3s;
    z-index: 1;
}

/* Style the spans inside the navigation bar */
#topnav span {
    /* background-color: #333; */
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    margin: 0.5%;
    text-decoration: none;
    font-size: 100%;
    margin-right: 0.5%;
    margin-left: 0.5%;
    display: flex;
}

/* Style the links inside the navigation bar */
#topnav a {
    /* background-color: #333; */
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    margin: 0.5%;
    text-decoration: none;
    font-size: 100%;
    cursor: pointer;
    margin-right: 0.5%;
    margin-left: 0.5%;
    display: flex;
}

/* Change the color of links on hover */
#topnav a:hover {
    background-color: #636363b0;
    border-radius: 10px;
    color: white;
}

/* Add a color to the active/current link */
#topnav a.active {
    background-color: #63636365;
    /* border: 2px solid #5b9766; */
    border-radius: 10px;
    color: white;
}

#sidenavbut {
    border: 2px solid rgba(255, 255, 255, .2);
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    overflow: hidden;
    position: fixed;
    top: 0;
    left: 2%;
    margin-top: 2%;
    border-radius: 20px;
    transition: top 0.3s;
    z-index: 1;
}

#sidenavbut a {
    /* background-color: #333; */
    color: #ffffffaf;
    text-align: center;
    padding-left: 14px;
    padding-right: 14px;
    text-decoration: none;
    font-size: x-large;
    cursor: pointer;
    margin-right: 0.5%;
    margin-left: 0.5%;
    display: flex;
}

/* Change the color of links on hover */
#sidenavbut a:hover {
    background-color: #636363b0;
    border-radius: 10px;
    transition: 0.3s;
    color: white;
}

/* The side navigation menu */
.sidenav {
    height: 100%;
    /* 100% Full-height */
    width: 0;
    /* 0 width - change this with JavaScript */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Stay on top */
    top: 0;
    /* Stay at the top */
    left: 0;
    overflow-x: hidden;
    /* Disable horizontal scroll */
    padding-top: 60px;
    /* Place content 60px from the top */
    transition: 0.5s;
    /* 0.5 second transition effect to slide in the sidenav */
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    text-wrap: nowrap;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* The navigation menu links */
.sidenav span {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    fill: #818181;
    display: block;
    transition: 0.3s;
}

/* The navigation menu links */
.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 25px;
    color: #c4c4c4;
    fill: #c4c4c4;
    display: block;
    transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
    color: #f1f1f1;
    fill: #f1f1f1;
}

.sidenav a.active {
    color: white;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
    position: absolute;
    cursor: pointer;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

.sidenav .title {
    position: sticky;
    padding-bottom: 5%;
    background: transparent;
    backdrop-filter: blur(10px);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    /* background: linear-gradient(#333333c5, rgba(0, 0, 0, 0)); */
    border-top: 2px solid rgba(255, 255, 255, .2);
}

.sidenav-social {
    display: flex;
    flex-direction: row;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
    transition: margin-left .5s;
    padding: 20px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

    .sidenav a {
        font-size: 18px;
    }
}

#footerinner {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding-left: 10%;
    padding-right: 10%;
}

/* Add a black background color to the top navigation */
#footernav {
    border: 2px solid rgba(255, 255, 255, .2);
    background: transparent;
    backdrop-filter: blur(10px);
    background-color: #3333335e;
    overflow: hidden;
    position: static;
    font-size: medium;
    bottom: 0;
    width: 100%;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    transition: top 0.3s;
}

/* Style the spans inside the navigation bar */
#footernav span {
    color: #f2f2f2;
    text-align: center;
    margin: 1%;
    text-decoration: none;
    margin-right: 0.5%;
    margin-left: 0.5%;
    white-space: nowrap;
}

/* Style the links inside the navigation bar */
#footernav a {
    color: #f2f2f2;
    text-align: center;
    margin: 1%;
    text-decoration: none;
    cursor: pointer;
    margin-right: 0.5%;
    margin-left: 0.5%;
}

/* Change the color of links on hover */
#footernav a:hover {
    text-decoration: underline;
    color: white;
}

.footerhide {
    display: block;
}

@media screen and (max-width: 750px) {
    #footerinner {
        flex-direction: column-reverse;
    }

    .footerhide {
        display: none;
    }
}